Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000593 [Piwigo] authentication minor always 2006.11.30 03:42 2006.12.06 11:57
Reporter Shilda View Status public  
Assigned To rub
Priority normal Resolution fixed Platform PWG
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version Alligator 1 Product Version 1.6.2
  Target Version Product Build
Summary 0000593: *.jpeg support in PWG
Description All my JPEG pictures are *.jpeg, not .jpg -- so for avoid the necessity of krename them, I need *.jpeg filenames support in PWG.
Steps To Reproduce
Additional Information I create include/config_local.inc.php :

--------
<?php
// file_ext : file extensions (case sensitive) authorized
$conf['file_ext'] = array('jpg','jpeg','JPG','JPEG','png','PNG','gif','GIF',
                          'mpg','zip','avi','mp3','ogg');

// picture_ext : file extensions for picture file, must be a subset of
// file_ext
$conf['picture_ext'] = array('jpg','jpeg','JPG','JPEG','png','PNG',
                             'gif','GIF');
?>
--------

and modify admin/thumbnail.php :

--------

54 if ($extension == 'jpg' or $extension == 'jpeg'
55 or $extension == 'JPG' or $extension == 'JPEG')
--------
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 2.x
Attached Files

- Relationships

-  Notes
(0001559)
Shilda (reporter)
2006.11.30 03:53

Hum, je devrais pas bidouiller à 4h du mat ;) Désolé pour le plantouillage sur la section du bug.
(0001564)
rub (developer)
2006.12.04 23:02

Fixed with [Subversion] r1635

- Issue History
Date Modified Username Field Change
2006.11.30 03:42 Shilda New Issue
2006.11.30 03:42 Shilda browser => any
2006.11.30 03:42 Shilda Web server => Apache 2.x
2006.11.30 03:53 Shilda Note Added: 0001559
2006.11.30 15:55 Shilda Issue Monitored: Shilda
2006.12.04 12:29 rub Status new => assigned
2006.12.04 12:29 rub Assigned To => rub
2006.12.04 23:02 rub Status assigned => resolved
2006.12.04 23:02 rub Fixed in Version => Alligator (trunk)
2006.12.04 23:02 rub Resolution open => fixed
2006.12.04 23:02 rub Note Added: 0001564
2006.12.06 11:57 rub Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker